1. InSTEDD
  2. Untitled project
  3. platform-common-rails

Commits

Mariano Abel Coca  committed 883fe34

Added jQuery requirement before loading the theme's js and moved the application loading after the theme loading.

  • Participants
  • Parent commits bda9de0
  • Branches master

Comments (0)

Files changed (3)

File app/assets/javascripts/jquery-bootstrapper.js

View file
  • Ignore whitespace
+//= require jquery
+//= require jquery_uj

File app/views/layouts/instedd_application.html.erb

View file
  • Ignore whitespace
   <% if Rails::version < '3.1' %>
     <%= javascript_include_tag :defaults, "rails.validations" %>
     <%= csrf_meta_tag %>
+    <%= stylesheet_link_tag "#{InsteddRails.url}/theme/stylesheets/theme.css" %>
+    <%= javascript_include_tag "#{InsteddRails.url}/theme/javascripts/theme.js" %>
   <% else %>
+    <%= javascript_include_tag "jquery-bootstrapper" %>
+    <%= stylesheet_link_tag "#{InsteddRails.url}/theme/stylesheets/theme.css" %>
+    <%= javascript_include_tag "#{InsteddRails.url}/theme/javascripts/theme.js" %>
     <%= javascript_include_tag "application" %>
     <%= csrf_meta_tags %>
   <% end %>
-  <%= stylesheet_link_tag "#{InsteddRails.url}/theme/stylesheets/theme.css" %>
-  <%= javascript_include_tag "#{InsteddRails.url}/theme/javascripts/theme.js" %>
   <% if Rails::version < '3.1' %>
     <%= stylesheet_link_tag "/stylesheets/#{application_name.underscore}.css" %>
   <% else %>

File lib/instedd_rails/version.rb

View file
  • Ignore whitespace
 module InsteddRails
-    VERSION = "0.0.18"
+    VERSION = "0.0.19"
 end